Crazy Eddies GUI System: CEGUI::PropertyDim Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CEGUI::PropertyDim Class Reference

Dimension type that represents the value of a Window property. Implements BaseDim interface. More...

Inheritance diagram for CEGUI::PropertyDim:

[legend]
Collaboration diagram for CEGUI::PropertyDim:

[legend]
List of all members.

## Public Member Functions
| PropertyDim (const String &name, const String &property)
| Constructor.
## Protected Member Functions
float | getValue_impl (const Window &wnd) const
| Implementataion method to return the base value for this BaseDim. This method should not attempt to apply the mathematical operator; this is handled automatically.
float | getValue_impl (const Window &wnd, const Rect &container) const
| Implementataion method to return the base value for this BaseDim. This method should not attempt to apply the mathematical operator; this is handled automatically by BaseDim.
void | writeXMLElementName_impl (OutStream &out_stream) const
| Implementataion method to output real xml element name to an OutStream. This method should not write the element opening '<' character, nor close the element, it must write just the element name itself.
void | writeXMLElementAttributes_impl (OutStream &out_stream) const
| Implementataion method to output xml element attributes to an OutStream. This method should not write the element opening '<' character, nor close the element, it must write just the element attributes.
BaseDim * | clone_impl () const
| Implementataion method to return a clone of this sub-class of BaseDim. This method should not attempt to clone the mathematical operator or operand; theis is handled automatically by BaseDim.

## Detailed Description

Dimension type that represents the value of a Window property. Implements BaseDim interface.

## Constructor & Destructor Documentation

CEGUI::PropertyDim::PropertyDim | ( | const String & | name,
|  | const String & | property
| ) |

  | Constructor. Parameters:
  | name | String holding the name suffix of the window on which the property is to be accessed.
  | property | String object holding the name of the property this PropertyDim represents the value of. The property named should represent a simple float value.